Page MenuHomePhabricator

Correct mixed case naming of metrics WIkistats 2.0
Closed, ResolvedPublic3 Story Points

Description

Metric names on dashboard and actual metric page have unjustified mixed cases. It is not the case with Reading metrics but with Content & Contributing metrics. I believe that we can consider metric names as headings and capitalize their first letters. Attaching a screenshot of an example of mixed case:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2018, 12:39 PM
Nuria added a comment.Jun 13 2018, 2:46 PM

Indeed, thanks for opening this one.

sahil505 triaged this task as Normal priority.Jun 13 2018, 3:00 PM
sahil505 added a project: Analytics-Kanban.
sahil505 set the point value for this task to 3.
sahil505 moved this task from Next Up to In Progress on the Analytics-Kanban board.
fdans moved this task from Incoming to Mentoring on the Analytics board.Jun 14 2018, 4:33 PM
fdans raised the priority of this task from Normal to Needs Triage.
sahil505 triaged this task as Normal priority.Jun 14 2018, 5:39 PM

Change 440387 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] Corrected mixed case naming of metrics

https://gerrit.wikimedia.org/r/440387

Change 440387 merged by Mforns:
[analytics/wikistats2@master] Corrected mixed case naming of metrics

https://gerrit.wikimedia.org/r/440387

Vvjjkkii renamed this task from Correct mixed case naming of metrics WIkistats 2.0 to 83aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed sahil505 as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Yann renamed this task from 83aaaaaaaa to Correct mixed case naming of metrics WIkistats 2.0.Jul 1 2018, 11:11 AM
Yann lowered the priority of this task from High to Normal.

Super thanks for this work @sahil505

Nuria closed this task as Resolved.Jul 11 2018, 10:02 PM